Debian Bug report logs - #488006
O: wvstreams -- C++ network libraries for rapid application development

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: bzed@debian.org

Date: Wed, 25 Jun 2008 17:09:12 UTC

Severity: normal

Merged with 655262

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Simon Law <sfllaw@debian.org>, <wnpp@debian.org>:
Bug#488006; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to bzed@debian.org:
New Bug report received and forwarded. Copy sent to Simon Law <sfllaw@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: bzed@debian.org
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: wvstreams -- Server that manages UniConf elements
Date: Wed, 25 Jun 2008 19:06:21 +0200 (CEST)
Package: wnpp
Severity: normal

The current maintainer of wvstreams, Simon Law <sfllaw@debian.org>,
is apparently not active anymore.  Therefore, I orphan this package
now.  If you want to be the new maintainer, please take it -- see
http://www.debian.org/devel/wnpp/index.html#howto-o for detailed
instructions how to adopt a package properly.

Some information about this package:

Package: wvstreams
Binary: libwvstreams4.4-base, libwvstreams4.4-extras, libuniconf4.4, libwvstreams4.4-doc, libwvstreams4.4-qt, libwvstreams-dev, uniconfd, uniconf-tools
Version: 4.4.1-0.2
Priority: optional
Section: libs
Maintainer: Simon Law <sfllaw@debian.org>
Build-Depends: debhelper (>> 4.1.0), doxygen, libdb-dev, libpam0g-dev, libpopt-dev, libqt3-mt-dev, libssl-dev, libxplc0.3.13-dev, zlib1g-dev
Build-Depends-Indep: doxygen
Build-Conflicts: valgrind
Architecture: any
Standards-Version: 3.6.2.1
Format: 1.0
Directory: pool/main/w/wvstreams
Files: fe45152c16ac34fa0790127b85b2b993 955 wvstreams_4.4.1-0.2.dsc
 907b0cba8931553d848620ea16f006b9 1303474 wvstreams_4.4.1.orig.tar.gz
 5b22e27fb0d0356f1e7fc27a1266022f 10205 wvstreams_4.4.1-0.2.diff.gz
Uploaders: James Morrison <phython@debian.org>, Patrick Patterson <ppatters@debian.org>

Package: libuniconf4.4
Priority: optional
Section: libs
Installed-Size: 616
Maintainer: Simon Law <sfllaw@debian.org>
Architecture: i386
Source: wvstreams
Version: 4.4.1-0.2
Depends: libc6 (>= 2.7-1), libwvstreams4.4-base, libwvstreams4.4-extras, libxplc0.3.13
Conflicts: libuniconf4.0 (<< 4.0.2-5), libuniconf4.2, libuniconf4.3
Filename: pool/main/w/wvstreams/libuniconf4.4_4.4.1-0.2_i386.deb
Size: 330944
MD5sum: 6069c3dca5811238b3f7c0c9dc7a6aa2
SHA1: 2126a9a60ac3bf69d9f6570b72e1fbfbb3b16f59
SHA256: 2585713b88f0d7f02287f969a1b9a365101379e3ae9ae060546849832ccecf78
Description: C++ network libraries for rapid application development
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems, such as:
  * GConf
  * KConfig
  * Windows registry
  * Mutt ;)
 .
 UniConf can also be accessed over the network, with authentication, allowing
 easy replication of configuration data via the UniReplicateGen.
Tag: role::shared-lib

Package: libwvstreams-dev
Priority: optional
Section: libdevel
Installed-Size: 5568
Maintainer: Simon Law <sfllaw@debian.org>
Architecture: i386
Source: wvstreams
Version: 4.4.1-0.2
Provides: libwvstreams4.4-dev
Depends: libuniconf4.4, libwvstreams4.4-base, libwvstreams4.4-extras, libwvstreams4.4-qt, libxplc0.3.13-dev
Filename: pool/main/w/wvstreams/libwvstreams-dev_4.4.1-0.2_i386.deb
Size: 1495868
MD5sum: 66e98375ffff37ed7b0d9f05e8546b4b
SHA1: 768fa891b4495e6bfa0f8871a857741678fdc48b
SHA256: 7b0c761c8a865973dfcd0fa22a9cb480636c412ab5e4c9ae992f86d05bb608dc
Description: Development libraries and header files for libwvstreams4.4
 Contains the header files and static libraries for use in rapid
 application development using the WvStreams set of libraries.  It
 includes everything that is needed to compile a program that needs
 WvStreams.
 .
 The WvStreams library suite is a set of C++ network libraries that
 make it fast and simple to develop network applications.
Tag: devel::library, role::devel-lib

Package: libwvstreams4.4-base
Priority: optional
Section: libs
Installed-Size: 824
Maintainer: Simon Law <sfllaw@debian.org>
Architecture: i386
Source: wvstreams
Version: 4.4.1-0.2
Depends: libc6 (>= 2.7-1), libxplc0.3.13
Filename: pool/main/w/wvstreams/libwvstreams4.4-base_4.4.1-0.2_i386.deb
Size: 417898
MD5sum: 061fed7b9772db7ebaf6bf9ead2e37e8
SHA1: 6f258c8f162b46e328d7308bf67df544f9056fce
SHA256: ff5833b9fd57d6ac862880ec40cea40bbceb5a995f38e895ff95c166f31e5a52
Description: C++ network libraries for rapid application development
 WvStreams is a library suite that is comprised of several parts.  Included
 in the base package are:
  * WvString: a convenient and efficient C++ string class
  * WvList: an easy-to-use linked list
  * WvHashTable: an efficient and easy-to-use hash table
  * WvFile: a WvStream wrapper for handling files
  * WvStreamClone: a base class which makes writing your own WvStreams easy
  * WvLog: a log files handler
  * UniIniGen: a tiny version of UniConf for simple configuration systems

Package: libwvstreams4.4-doc
Priority: optional
Section: doc
Installed-Size: 32208
Maintainer: Simon Law <sfllaw@debian.org>
Architecture: all
Source: wvstreams
Version: 4.4.1-0.2
Suggests: libwvstreams-dev (= 4.4.1-0.2)
Filename: pool/main/w/wvstreams/libwvstreams4.4-doc_4.4.1-0.2_all.deb
Size: 4413376
MD5sum: 3107242bf61ab01e619990e355cccfc4
SHA1: 06f8c8503c40eeb6379fc8610d19f8a875477bb6
SHA256: e3649c86db5568200750d19694c3d9f5db8775d7636a0f1b6c2e8898762fdc8f
Description: Documentation for WvStreams
 Contains all the documentation available to program with WvStreams.
  .
 The WvStreams library suite is a set of C++ network libraries that
 make it fast and simple to develop network applications.

Package: libwvstreams4.4-extras
Priority: optional
Section: libs
Installed-Size: 1264
Maintainer: Simon Law <sfllaw@debian.org>
Architecture: i386
Source: wvstreams
Version: 4.4.1-0.2
Depends: libc6 (>= 2.7-1), libpam0g (>= 0.99.7.1), libssl0.9.8 (>= 0.9.8f-5), libwvstreams4.4-base, libxplc0.3.13, zlib1g (>= 1:1.1.4)
Filename: pool/main/w/wvstreams/libwvstreams4.4-extras_4.4.1-0.2_i386.deb
Size: 589620
MD5sum: 8055923a51b524065577a065c299c272
SHA1: 37eee7fc25e3c4e52e9986eec9bbca1a34d68cdc
SHA256: 2edec7ecfcba99268ea73ea6340e0ddcddedf0459830414905a70400e50f3d9c
Description: C++ network libraries for rapid application development
 WvStreams is a library suite that is comprised of several parts.  Included
 in the extras package are:
  * WvIPStreams: which includes WvTCPStream and WvUDPStream
  * WvCrypto streams: a REALLY easy way to add SSL support to applications
 .
 These are the base classes used to build programs such as the ever popular
 WvDial, TunnelVision, FastForward, KWvDial, retchmail, and many more yet
 to come.  ;)

Package: libwvstreams4.4-qt
Priority: optional
Section: libs
Installed-Size: 356
Maintainer: Simon Law <sfllaw@debian.org>
Architecture: i386
Source: wvstreams
Version: 4.4.1-0.2
Depends: libc6 (>= 2.7-1), libqt3-mt (>= 3:3.3.8b), libwvstreams4.4-extras, libxplc0.3.13
Filename: pool/main/w/wvstreams/libwvstreams4.4-qt_4.4.1-0.2_i386.deb
Size: 239518
MD5sum: e7af300a52c0198ab10a4df1008dc512
SHA1: ad99c5f6e8cfeb5d5c68aad4b2583750f91a9c43
SHA256: de5566ff7e446fcdfee8d2275c8ef1ef049d5b8c49df05d477d94c908c0bd6fb
Description: WvStreams and Qt Event Integration Library
 This package contains the library necessary to tie WvStreams and Qt program
 event loops together to enable WvStreams to act as the I/O and configuration
 back end for Qt and KDE.

Package: uniconf-tools
Priority: optional
Section: utils
Installed-Size: 280
Maintainer: Simon Law <sfllaw@debian.org>
Architecture: i386
Source: wvstreams
Version: 4.4.1-0.2
Depends: libc6 (>= 2.7-1), libuniconf4.4, libwvstreams4.4-base, libwvstreams4.4-extras, libxplc0.3.13
Filename: pool/main/w/wvstreams/uniconf-tools_4.4.1-0.2_i386.deb
Size: 216382
MD5sum: 4e820a296691e13807be9f523db6cb69
SHA1: 33b31982d293fb2581085c0cecfdda20b733145a
SHA256: 9fc9b08207397e54f41ab70870ebcc8428201e3b05f13afa4485013d9b095a22
Description: Tools to interface with UniConf
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems.
 .
 This package contains utilities that allow users to interface with
 UniConf manually.
Tag: admin::configuring, interface::commandline, role::program, scope::utility, use::configuring

Package: uniconfd
Priority: optional
Section: utils
Installed-Size: 348
Maintainer: Simon Law <sfllaw@debian.org>
Architecture: i386
Source: wvstreams
Version: 4.4.1-0.2
Depends: libc6 (>= 2.7-1), libuniconf4.4, libwvstreams4.4-base, libwvstreams4.4-extras, libxplc0.3.13
Filename: pool/main/w/wvstreams/uniconfd_4.4.1-0.2_i386.deb
Size: 221612
MD5sum: 8e23fb3655efa7d5ad64ce1fb665e42d
SHA1: 0d24364d7d72433b3fa615c327164c5f091f7341
SHA256: f07a561c84f26cb152094a8a94489d0d65a53dd7e81f3f9c6722384d11fd5549
Description: Server that manages UniConf elements
 UniConf is a configuration system that can serve as the centrepiece among
 many other, existing configuration systems.
 .
 UniConf can also be accessed over the network, with authentication, allowing
 easy replication of configuration data via the UniReplicateGen.
 .
 This package contains the server that accepts incoming TCP or Unix
 connections, and gets or sets UniConf elements at the request of a
 UniConf client.
Tag: admin::configuring, interface::daemon, network::server, network::service, role::program, use::configuring





Information stored:
Bug#488006; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Magnus Holmgren <holmgren@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #10 received at 488006-quiet@bugs.debian.org (full text, mbox):

From: Magnus Holmgren <holmgren@debian.org>
To: 488005-submitter@bugs.debian.org, 488006-quiet@bugs.debian.org, 488004-quiet@bugs.debian.org, 488007-quiet@bugs.debian.org
Cc: ppatters@debian.org, phython@debian.org
Subject: Simon Law's orphaned packages
Date: Sun, 29 Jun 2008 12:01:49 +0200
[Message part 1 (text/plain, inline)]
> The current maintainer of wvstreams, Simon Law <sfllaw@debian.org>,
> is apparently not active anymore.

What about the co-maintainers?

-- 
Magnus Holmgren        holmgren@debian.org
Debian Developer 
[signature.asc (application/pgp-signature, inline)]

Information stored:
Bug#488006; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Patrick Patterson" <ppatters@debian.org>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #15 received at 488006-quiet@bugs.debian.org (full text, mbox):

From: "Patrick Patterson" <ppatters@debian.org>
To: "Magnus Holmgren" <holmgren@debian.org>
Cc: 488005-submitter@bugs.debian.org, 488006-quiet@bugs.debian.org, 488004-quiet@bugs.debian.org, 488007-quiet@bugs.debian.org, phython@debian.org
Subject: Re: Simon Law's orphaned packages
Date: Sun, 29 Jun 2008 10:54:16 -0700
[Message part 1 (text/plain, inline)]
I'm semi active for the WvStreams, WvDial, and Retchmail packages, but need
to be signed back into the keychain. The other packages I've no ability to
easily maintain.

On Sun, Jun 29, 2008 at 3:01 AM, Magnus Holmgren <holmgren@debian.org>
wrote:

> > The current maintainer of wvstreams, Simon Law <sfllaw@debian.org>,
> > is apparently not active anymore.
>
> What about the co-maintainers?
>
> --
> Magnus Holmgren        holmgren@debian.org
> Debian Developer
>



-- 
Personal Mail from Patrick Patterson
No company affiliation
[Message part 2 (text/html, inline)]

Changed Bug title to 'wvstreams -- server that manages uniconf elements' from 'O: wvstreams -- Server that manages UniConf elements' Request was from Thierry Randrianiriana <randrianiriana@gmail.com> to control@bugs.debian.org. (Sat, 30 Apr 2011 03:33:02 GMT) Full text and rfc822 format available.

Owner recorded as thierry@debian.org. Request was from Thierry Randrianiriana <randrianiriana@gmail.com> to control@bugs.debian.org. (Sat, 30 Apr 2011 03:33:03 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: wvstreams -- server that manages uniconf elements' from 'wvstreams -- server that manages uniconf elements' Request was from Raphael Geissert <atomo64@gmail.com> to control@bugs.debian.org. (Thu, 23 Feb 2012 04:18:16 GMT) Full text and rfc822 format available.

Forcibly Merged 488006 655262. Request was from Lucas Nussbaum <lucas@debian.org> to control@bugs.debian.org. (Thu, 23 Feb 2012 19:42:05 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: wvstreams -- C++ network libraries for rapid' from 'ITA: wvstreams -- server that manages uniconf elements' Request was from bartm@knars.be to control@bugs.debian.org. (Thu, 07 Jun 2012 12:57:53 GMT) Full text and rfc822 format available.

Changed Bug title to 'ITA: wvstreams -- C++ network libraries for rapid application development' from 'ITA: wvstreams -- C++ network libraries for rapid' Request was from Bart Martens <bartm@debian.org> to control@bugs.debian.org. (Thu, 07 Jun 2012 16:27:14 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, thierry@debian.org:
Bug#488006; Package wnpp. (Tue, 11 Dec 2012 01:03:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Frank Lichtenheld <djpig@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, thierry@debian.org. (Tue, 11 Dec 2012 01:03:09 GMT) Full text and rfc822 format available.

Message #32 received at 488006@bugs.debian.org (full text, mbox):

From: Frank Lichtenheld <djpig@debian.org>
To: 488006@bugs.debian.org
Cc: control@bugs.debian.org
Subject: wvstreams: changing back from ITA to O
Date: Tue, 11 Dec 2012 01:00:32 +0000
retitle 488006 O: wvstreams -- C++ network libraries for rapid application development
noowner 488006
tag 488006 - pending
thanks

Hi,

This is an automatic email to change the status of wvstreams back from ITA
(Intent to Adopt) to O (Orphaned), because this bug hasn't seen any activity
during the last 6 months.

If you are still interested in adopting wvstreams, please send a mail to
<control@bugs.debian.org> with:

 retitle 488006 ITA: wvstreams -- C++ network libraries for rapid application development
 owner 488006 !
 thanks

However, it is not recommended to keep ITA for a long time without acting on
the package, as it might cause other prospective maintainers to refrain from
adopting the package. It is also a good idea to document your progress on this
ITA from time to time, by mailing <488006@bugs.debian.org>.

Thank you for your interest in Debian,
-- 
Frank, for the QA team <debian-qa@lists.debian.org>



Changed Bug title to 'O: wvstreams -- C++ network libraries for rapid application development' from 'ITA: wvstreams -- C++ network libraries for rapid application development' Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:04:30 GMT) Full text and rfc822 format available.

Removed annotation that Bug was owned by thierry@debian.org. Request was from Frank Lichtenheld <djpig@debian.org> to control@bugs.debian.org. (Tue, 11 Dec 2012 01:04:31 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:46:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.